package javax.xml.parsers;

public abstract class DocumentBuilderFactory {
   private boolean validating = false;
   private boolean namespaceAware = false;

   protected DocumentBuilderFactory() {
   }

   public boolean isNamespaceAware() {
      return this.namespaceAware;
   }

   public boolean isValidating() {
      return this.validating;
   }

   public abstract DocumentBuilder newDocumentBuilder() throws ParserConfigurationException;

   public static DocumentBuilderFactory newInstance() {
      String var0 = System.getProperty("javax.xml.parsers.DocumentBuilderFactory", "com.sun.xml.parser.DocumentBuilderFactoryImpl");

      try {
         Class var2 = Class.forName(var0);
         DocumentBuilderFactory var1 = (DocumentBuilderFactory)var2.newInstance();
         return var1;
      } catch (ClassNotFoundException var3) {
         throw new FactoryConfigurationError(var3);
      } catch (IllegalAccessException var4) {
         throw new FactoryConfigurationError(var4);
      } catch (InstantiationException var5) {
         throw new FactoryConfigurationError(var5);
      }
   }

   public void setNamespaceAware(boolean var1) {
      this.namespaceAware = var1;
   }

   public void setValidating(boolean var1) {
      this.validating = var1;
   }
}
