package javax.xml.parsers;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import org.xml.sax.HandlerBase;
import org.xml.sax.InputSource;
import org.xml.sax.Parser;
import org.xml.sax.SAXException;

public abstract class SAXParser {
   protected SAXParser() {
   }

   public abstract Parser getParser() throws SAXException;

   public abstract boolean isNamespaceAware();

   public abstract boolean isValidating();

   public void parse(File var1, HandlerBase var2) throws SAXException, IOException {
      if (var1 == null) {
         throw new IllegalArgumentException("File cannot be null");
      } else {
         String var3 = "file:" + var1.getAbsolutePath();
         if (File.separatorChar == '\\') {
            var3 = var3.replace('\\', '/');
         }

         InputSource var4 = new InputSource(var3);
         this.parse(var4, var2);
      }
   }

   public void parse(InputStream var1, HandlerBase var2) throws SAXException, IOException {
      if (var1 == null) {
         throw new IllegalArgumentException("InputStream cannot be null");
      } else {
         InputSource var3 = new InputSource(var1);
         this.parse(var3, var2);
      }
   }

   public void parse(String var1, HandlerBase var2) throws SAXException, IOException {
      if (var1 == null) {
         throw new IllegalArgumentException("uri cannot be null");
      } else {
         InputSource var3 = new InputSource(var1);
         this.parse(var3, var2);
      }
   }

   public void parse(InputSource var1, HandlerBase var2) throws SAXException, IOException {
      if (var1 == null) {
         throw new IllegalArgumentException("InputSource cannot be null");
      } else {
         Parser var3 = this.getParser();
         if (var2 != null) {
            var3.setDocumentHandler(var2);
            var3.setEntityResolver(var2);
            var3.setErrorHandler(var2);
            var3.setDTDHandler(var2);
         }

         var3.parse(var1);
      }
   }
}
