package javax.xml.parsers;

import org.xml.sax.SAXException;

public abstract class SAXParserFactory {
   private boolean validating = false;
   private boolean namespaceAware = false;

   protected SAXParserFactory() {
   }

   public boolean isNamespaceAware() {
      return this.namespaceAware;
   }

   public boolean isValidating() {
      return this.validating;
   }

   public static SAXParserFactory newInstance() {
      String var0 = System.getProperty("javax.xml.parsers.SAXParserFactory", "com.sun.xml.parser.SAXParserFactoryImpl");

      try {
         Class var2 = Class.forName(var0);
         SAXParserFactory var1 = (SAXParserFactory)var2.newInstance();
         return var1;
      } catch (ClassNotFoundException var3) {
         throw new FactoryConfigurationError(var3);
      } catch (IllegalAccessException var4) {
         throw new FactoryConfigurationError(var4);
      } catch (InstantiationException var5) {
         throw new FactoryConfigurationError(var5);
      }
   }

   public abstract SAXParser newSAXParser() throws ParserConfigurationException, SAXException;

   public void setNamespaceAware(boolean var1) {
      this.namespaceAware = var1;
   }

   public void setValidating(boolean var1) {
      this.validating = var1;
   }
}
